//---------------------------------------------------------------------------
//
// TBufferPaint -
// Example program
//
// (C) 2000 Thomas Wolf / Remotion
//
// Contact me at:
// remotion@chello.at
//
//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "BufferPaint"
#pragma resource "*.dfm"
TfrmMain *frmMain;
//---------------------------------------------------------------------------
__fastcall TfrmMain::TfrmMain(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::paintMouseEnter(TObject *Sender, TShiftState Shift,
      int X, int Y)
{
    paint->Buffer->Assign(Image2->Picture->Bitmap);
    Label2->Caption = IntToStr(X)+","+IntToStr(Y);
    Label6->Caption = "(inside)";
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::paintMouseLeave(TObject *Sender, TShiftState Shift,
      int X, int Y)
{
    paint->Buffer->Assign(Image1->Picture->Bitmap);
    Label6->Caption = IntToStr(X)+","+IntToStr(Y);
    Label1->Caption = "(outside)";
    Label2->Caption = "(outside)";
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::FormCreate(TObject *Sender)
{
    paint->Buffer->Assign(Image1->Picture->Bitmap);
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::paintMouseMove(TObject *Sender,
      TShiftState Shift, int X, int Y)
{
    Label1->Caption = IntToStr(X)+","+IntToStr(Y);
    Label6->Caption = "(inside)";
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::paintMouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y)
{
    Label7->Visible = Button == mbLeft;
    Label8->Visible = Button == mbMiddle;
    Label9->Visible = Button == mbRight;
    paint->Buffer->Assign(Image3->Picture->Bitmap);
    paint->Invalidate();
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::paintMouseUp(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y)
{
    Label7->Visible = false;
    Label8->Visible = false;
    Label9->Visible = false;
    paint->Buffer->Assign(Image2->Picture->Bitmap);
    paint->Invalidate();
}
//---------------------------------------------------------------------------

